`Library not loaded` error when integrating with the app

Description
Hi,
We are able to run the zoom demo app in the mac machine. But when we copy the lib and sdk and replace it in our app we get the below error. How do we solve this error?

Which Electron Client SDK version?
v5.5.12511.0422

Electron version: tried on 11.0.1 and 12.0.15

Screenshots